summaryrefslogtreecommitdiff
path: root/tools/regtest
diff options
context:
space:
mode:
authorJohn Wiegley <johnw@newartisans.com>2009-01-31 06:00:31 -0400
committerJohn Wiegley <johnw@newartisans.com>2009-01-31 06:00:31 -0400
commit0bab6e867441c4d9d62b436e0aac48b7dc0096a3 (patch)
tree5b1db4106302abc952a454511f52f2f1f2a6ab01 /tools/regtest
parentf749a1bb1eb40faa9cac685a02d012a5efb11aaa (diff)
downloadfork-ledger-0bab6e867441c4d9d62b436e0aac48b7dc0096a3.tar.gz
fork-ledger-0bab6e867441c4d9d62b436e0aac48b7dc0096a3.tar.bz2
fork-ledger-0bab6e867441c4d9d62b436e0aac48b7dc0096a3.zip
Added a tools/ subdirectory, with various maintainer related files.
Diffstat (limited to 'tools/regtest')
-rwxr-xr-xtools/regtest27
1 files changed, 27 insertions, 0 deletions
diff --git a/tools/regtest b/tools/regtest
new file mode 100755
index 00000000..6a59c39f
--- /dev/null
+++ b/tools/regtest
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+errors=0
+
+if [ ! -f tools/standard.dat ]; then
+ exit 0
+fi
+
+for test in \
+ "-O nrl:checking" \
+ "-O ^expenses" \
+ "-B 401" \
+ "-V 401" \
+ "-G 401" \
+ "-B ira" \
+ "-V ira" \
+ "-G ira" \
+ "-B retire" \
+ "-V retire" \
+ "-G retire"
+do
+ echo testing: $test
+ python tests/confirm.py $test
+ errors=`expr $errors + $?`
+done
+
+exit $errors